% Na osnovu vrednosti parametara strujnog filtera (alfa_f), statorske faze
% (alfa_s), relativnog integralnog pojacanja (argument i) i 
% relativnog proporcionalnog pojacanja (argument p) PI regulatora, nalaze 
% se koeficijenti k i koreni z karakteristicnog polinoma.

function [k,z]=radici(alfa_f,alfa_s,p,i)
% Karakteristicni polinom: 
% f(z) = z^4-(a+1)*z^3 + (a+p+i)*z^2 + i*z - p;
% k=[1  -a-1  a+p+i  i  -p];
% k=[1  -(alfa_f+alfa_s+1)  alfa_f*alfa_s+alfa_f+alfa_s  p+i-alfa_f*alfa_s  -p];
k=[1  -(alfa_f+alfa_s+1)  (p+i)+alfa_f*alfa_s+alfa_f+alfa_s  -(p+alfa_f*alfa_s)];
z=roots(k);
