% Program za plot momenta, fluksa, brzine, struje i napona.

% Podrazumeva se da u radnom prostoru postoje promenljive Torque, Flux_rot,
% W_rot, Ia i Va, dobijene kao rezultat izvrsavanja Simulnik simulacije.

figure(1)
subplot(211)
plot(Torque.time, Torque.signals.values)
grid
xlabel('t [sec]')
ylabel('M_e_m [p.u.]')
title('Elektromagnetni moment')

subplot(212)
plot(Flux_rot.time, Flux_rot.signals.values)
grid
xlabel('t [sec]')
ylabel('\Psi_R [p.u.]')
title('Fluks rotora')

figure(2)
subplot(311)
plot(W_rot.time, W_rot.signals.values)
grid
xlabel('t [sec]')
ylabel('\omega [p.u.]')
title('Ugaona brzina')

subplot(312)
plot(Ia.time, Ia.signals.values)
grid
xlabel('t [sec]')
ylabel('I_a [p.u.]')
title('Statorska struja')

subplot(313)
plot(Va.time, Va.signals.values)
grid
xlabel('t [sec]')
ylabel('U_a [p.u.]')
title('Statorski napon')